<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: controllers/productController.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: controllers/productController.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>const MediumCoverage = require('../models/insurances/mediumCoverage')
const MegaCoverage   = require('../models/insurances/MegaCoverage')
const FullCoverage   = require('../models/insurances/fullCoverage')
const SpecialFullCoverage = require('../models/insurances/specialFullCoverage')
const SuperSaleCoverage   = require('../models/insurances/superSaleCoverage')
const LowCoverage         = require('../models/insurances/lowCoverage')

/** @module productController */

class productController {

    /** 
     * @function addProduct 
     * @description Add  a new product to the correct category
    */
    addProduct (name, sellIn, price) {
        switch (name) {
            case (MediumCoverage.nameCoverage):
                return new MediumCoverage(name, sellIn, price);
            break;
            case (MegaCoverage.nameCoverage):
                return new MegaCoverage(name);
            break;
            case (FullCoverage.nameCoverage):
                return new FullCoverage(name, sellIn, price);
            break;
            case (SpecialFullCoverage.nameCoverage):
                return new SpecialFullCoverage(name, sellIn, price);
            break;
            case (SuperSaleCoverage.nameCoverage):
                return new SuperSaleCoverage(name, sellIn, price);
            break;
            case (LowCoverage.nameCoverage):
                return new LowCoverage(name, sellIn, price);
            break;
            default:
                break;
        }
    }
} 

module.exports = {
    addProduct: new productController().addProduct
}
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-Application.html">Application</a></li><li><a href="module-productController.html">productController</a></li></ul><h3>Classes</h3><ul><li><a href="carInsurance.html">carInsurance</a></li><li><a href="FullCoverage.html">FullCoverage</a></li><li><a href="LowCoverage.html">LowCoverage</a></li><li><a href="MediumCoverage.html">MediumCoverage</a></li><li><a href="MegaCoverage.html">MegaCoverage</a></li><li><a href="Product.html">Product</a></li><li><a href="specialFullCoverage.html">specialFullCoverage</a></li><li><a href="SuperSaleCoverage.html">SuperSaleCoverage</a></li></ul><h3>Global</h3><ul><li><a href="global.html#checkPrice">checkPrice</a></li><li><a href="global.html#getProducts">getProducts</a></li><li><a href="global.html#setPrice">setPrice</a></li><li><a href="global.html#setSellIn">setSellIn</a></li><li><a href="global.html#update">update</a></li><li><a href="global.html#updatePrice">updatePrice</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Jan 24 2021 14:28:26 GMT-0600 (Central Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
